/*
	Copyright (C) 2009-2013 Mark Tyler

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program in the file COPYING.
*/

#include "be.h"



void be_cline (
	int		argc,
	char		* argv[]
	)
{
	if ( argc > 1 )
	{
		if ( strcmp ( argv[1], "--version" ) == 0 )
		{
			printf ("%s\n\n", VERSION);

			exit ( 0 );
		}
		else if ( strcmp ( argv[1], "--help" ) == 0 )
		{
			printf ( "%s\n\n"
				"Usage: %s [OPTIONS]\n\n"
				"Options:\n"
				"  --help          Output this help\n"
				"  --version       Output version information\n"
			, VERSION, BIN_NAME );

			exit ( 0 );
		}
	}
}

